RTextAreaHighlighter.HighlightInfoImpl
Date: 2017-02-11

org.fife.ui.rtextarea

## Class RTextAreaHighlighter.HighlightInfoImpl

- java.lang.Object
- - org.fife.ui.rtextarea.RTextAreaHighlighter.HighlightInfoImpl

- All Implemented Interfaces:
    javax.swing.text.Highlighter.Highlight, RTextAreaHighlighter.HighlightInfo
  Direct Known Subclasses:
    RTextAreaHighlighter.LayeredHighlightInfoImpl
  Enclosing class:
    RTextAreaHighlighter

      protected static class RTextAreaHighlighter.HighlightInfoImpl
      extends java.lang.Object
      implements RTextAreaHighlighter.HighlightInfo

  A straightforward implementation of `HighlightInfo`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RTextAreaHighlighter.HighlightInfoImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()` To be extended by subclasses.
    `int` | `getEndOffset()`
    `javax.swing.text.Highlighter.HighlightPainter` | `getPainter()`
    `int` | `getStartOffset()`
    `void` | `setEndOffset(javax.swing.text.Position endOffset)`
    `void` | `setPainter(javax.swing.text.Highlighter.HighlightPainter painter)`
    `void` | `setStartOffset(javax.swing.text.Position startOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RTextAreaHighlighter.HighlightInfoImpl

          protected RTextAreaHighlighter.HighlightInfoImpl()

  - ### Method Detail

    - #### getColor

          public java.awt.Color getColor()

      To be extended by subclasses.

    - #### getStartOffset

          public int getStartOffset()

      Specified by:
        `getStartOffset` in interface `javax.swing.text.Highlighter.Highlight`

    - #### getEndOffset

          public int getEndOffset()

      Specified by:
        `getEndOffset` in interface `javax.swing.text.Highlighter.Highlight`

    - #### getPainter

          public javax.swing.text.Highlighter.HighlightPainter getPainter()

      Specified by:
        `getPainter` in interface `javax.swing.text.Highlighter.Highlight`

    - #### setStartOffset

          public void setStartOffset(javax.swing.text.Position startOffset)

    - #### setEndOffset

          public void setEndOffset(javax.swing.text.Position endOffset)

    - #### setPainter

          public void setPainter(javax.swing.text.Highlighter.HighlightPainter painter)